博客> pod 突然失效,重装ruby吧少年
pod 突然失效,重装ruby吧少年
2018-07-23 08:45 评论:0 阅读:114 IT喃
ios

pod search *** 的时候报错,什么鬼?。。

/Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/yaml.rb:5:in `<top>':
It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.
/Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/yaml.rb:5:in `<top>':
It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.
/Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require': dlopen(/Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/x86_64-darwin17/psych.bundle, 9): Library not loaded: /usr/local/opt/libyaml/lib/libyaml-0.2.dylib (LoadError)
  Referenced from: /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/x86_64-darwin17/psych.bundle
  Reason: image not found - /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/x86_64-darwin17/psych.bundle
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/psych.rb:8:in `<top>'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/yaml.rb:6:in `<top>'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/yaml_helper.rb:1:in `<top>'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/metadata.rb:27:in `from_file'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source.rb:423:in `refresh_metadata'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source.rb:28:in `initialize'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:287:in `new'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:287:in `block in source_from_path'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:292:in `source_from_path'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:301:in `block in aggregate_with_repos'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:301:in `map'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:301:in `aggregate_with_repos'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:24:in `aggregate'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-core-1.5.0/lib/cocoapods-core/source/manager.rb:61:in `all'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/lib/cocoapods/user_interface/error_report.rb:170:in `repo_information'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/lib/cocoapods/user_interface/error_report.rb:77:in `stack'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/lib/cocoapods/user_interface/error_report.rb:24:in `report'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/lib/cocoapods/command.rb:66:in `report_error'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/claide-1.0.2/lib/claide/command.rb:396:in `handle_exception'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/claide-1.0.2/lib/claide/command.rb:337:in `rescue in run'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/claide-1.0.2/lib/claide/command.rb:325:in `run'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/lib/cocoapods/command.rb:52:in `run'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.5.0/bin/pod:55:in `<top>'
    from /usr/local/bin/pod:23:in `load'
    from /usr/local/bin/pod:23:in `<main>'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/bin/ruby_executable_hooks:15:in `eval'
    from /Users/tuoge/.rvm/gems/ruby-2.4.1@global/bin/ruby_executable_hooks:15:in `<main>'

为什么突然要重装ruby???

It seems your ruby installation is missing psych (for YAML output).
To eliminate this warning, please install libyaml and reinstall your ruby.

郁~~

收藏
0
sina weixin mail 回到顶部